ELException (EL 3.0 API Documentation - Apache Tomcat 9.0.81)

Package javax.el

## Class ELException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.el.ELException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `MethodNotFoundException`, `PropertyNotFoundException`, `PropertyNotWritableException`

      public class ELException
      extends java.lang.RuntimeException

  Represents any of the exception conditions that can arise during expression evaluation.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ELException()` | Creates an ELException with no detail message
    `ELException​(java.lang.String message)` | Creates an ELException with the provided detail message.
    `ELException​(java.lang.String message, java.lang.Throwable cause)` | Creates an ELException with the given detail message and root cause.
    `ELException​(java.lang.Throwable cause)` | Creates an ELException with the given cause

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ELException

          public ELException()

      Creates an ELException with no detail message

    - #### ELException

          public ELException​(java.lang.String message)

      Creates an ELException with the provided detail message.
      Parameters:
        `message` - the detail message

    - #### ELException

          public ELException​(java.lang.Throwable cause)

      Creates an ELException with the given cause
      Parameters:
        `cause` - the originating cause of this exception

    - #### ELException

          public ELException​(java.lang.String message,
                             java.lang.Throwable cause)

      Creates an ELException with the given detail message and root cause.
      Parameters:
        `message` - the detail message
        `cause` - the originating cause of this exception